## hwloc-contrib 2.1.0+dfsg

=== contrib/windows/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/windows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright © 2009-2018 Inria.  All rights reserved.
# See COPYING in top-level directory.

# This Makefile doesn't run by default because it requires
# bash, and grep built with support for -P

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/hwloc
pkgincludedir = $(includedir)/hwloc
pkglibdir = $(libdir)/hwloc
pkglibexecdir = $(libexecdir)/hwloc
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = contrib/windows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/hwloc.m4 \
	$(top_srcdir)/config/hwloc_check_attributes.m4 \
	$(top_srcdir)/config/hwloc_check_vendor.m4 \
	$(top_srcdir)/config/hwloc_check_visibility.m4 \
	$(top_srcdir)/config/hwloc_components.m4 \
	$(top_srcdir)/config/hwloc_internal.m4 \
	$(top_srcdir)/config/hwloc_pkg.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/netloc.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/private/autogen/config.h \
	$(top_builddir)/include/hwloc/autogen/config.h
CONFIG_CLEAN_FILES = test-windows-version.sh
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/test-windows-version.sh.in \
	$(top_srcdir)/./config/test-driver README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

=== debian/changelog ===
hwloc-contrib (2.1.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure).
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Rely on pre-initialized dpkg-architecture variables.

  [ Andreas Beckmann ]
  * control: hwloc-contrib can be built on ppc64el, too (Closes: #946482).
  * control: Drop libcuda1 build-dep.

  [ Samuel Thibault ]
  * control: Reduce build-dep divergence from main.
  * libhwloc-contrib-plugins.install: Drop opengl plugin, now in
    libhwloc-plugins package.
  * patches/hurd-mem: Add memsize support for hurd-i386.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jan 2020 15:01:22 +0100

hwloc-contrib (2.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * source/lintian-overrides: Silence warning.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Nov 2019 14:27:34 +0100

hwloc-contrib (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - tests/test-util: Update list of tools.
    - tests/gather: Ignore warning about is_thisystem.
    - tests/fake-plugin: Drop, this plugin is not actually shipped.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Oct 2019 18:42:11 +0200

hwloc-contrib (1.11.13-2) UNRELEASED; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Only suggest libhwloc-contrib-plugins where it is available, on
    amd64.
  * source/options: Drop compression option.
  * libhwloc-doc.lintian-overrides: Silence warnings.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 23:36:28 +0200

=== debian/control ===
Source: hwloc-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), libltdl-dev,
  valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
  libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el sparc],
  libxnvctrl-dev,
  nvidia-cuda-dev,
  libpciaccess-dev, libudev-dev [linux-any], pkg-config,
  libibverbs-dev [linux-any],
  ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
  autoconf (>= 2.63), w3m,
  dpkg-dev (>= 1.16)
Build-Depends-Indep: doxygen-latex, transfig
Build-Conflicts: autoconf2.13
Standards-Version: 4.4.1
Section: contrib/libs
Homepage: https://www.open-mpi.org/projects/hwloc/
Vcs-Git: https://github.com/open-mpi/hwloc-debian.git -b contrib
Vcs-Browser: https://github.com/open-mpi/hwloc-debian/tree/contrib

Package: libhwloc-contrib-plugins
Architecture: amd64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
Description: Hierarchical view of the machine - contrib plugins
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains plugins to add discovery support for non-free items. This
 includes
  - CUDA support.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-plugins --enable-doxygen

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	mkdir -p $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen
	mv $(CURDIR)/debian/tmp/usr/include/hwloc/autogen/config.h $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen/

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_test:
	HWLOC_TEST_DONTCHECK_PROC_CPULOCATION=1 dh_auto_test -- -k || \
		( cat $$(find . -name \*.log) ; false )

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.1 \
https://download.open-mpi.org/release/hwloc/v2.1/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## hwloc-contrib 2.2.0+dfsg

=== debian/changelog ===
hwloc-contrib (2.2.0+dfsg-1build2) groovy; urgency=medium

  * No-change rebuild against CUDA 11.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 29 Aug 2020 09:11:44 +0000

hwloc-contrib (2.2.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against CUDA 10.2

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Aug 2020 11:30:23 +0000

hwloc-contrib (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/hurd-mem: Upstreamed.
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind dep on x32.
  * hwloc-nox.install.*: Add missing /usr/sbin/hwloc-dump-hwdata.
  * debian/tests: Instead of tinkering with each script, just make the normal
    make check use the system-provided tools.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Mar 2020 21:39:10 +0200

hwloc-contrib (2.1.0+dfsg-4) unstable; urgency=medium

  [ Steve Langasek ]
  * control: Drop libibverbs-dev build-dependency, only a test needs it, and
    buildd box most probably don't have ibv set up anyway (Closes: Bug#950067)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2020 12:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), libltdl-dev,
-  valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
+  valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 x32],
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
-  libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el sparc],
+  libnuma-dev [linux-any],
   libxnvctrl-dev,
   nvidia-cuda-dev,
   libpciaccess-dev, libudev-dev [linux-any], pkg-config,
-  libibverbs-dev [linux-any],
   ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
   autoconf (>= 2.63), w3m,
   dpkg-dev (>= 1.16)

## hwloc-contrib 2.4.1+dfsg

=== debian/changelog ===
hwloc-contrib (2.4.1+dfsg-2) unstable; urgency=medium

  * libhwloc-contrib-plugins.install: Install the nvml plugin again
    (Closes: Bug#984984)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Mar 2021 16:01:54 +0100

hwloc-contrib (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Feb 2021 18:21:18 +0100

hwloc-contrib (2.4.1~rc3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/git-update: merged.
  * control: Fix Vcs URL for contrib branch.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Feb 2021 10:40:04 +0100

hwloc-contrib (2.4.1~rc2+dfsg-2) unstable; urgency=medium

  * tests/control: Add now-missing debhelper dependency, fixes dh-autoreconf
    migration.
  * patches/git-update: Update from 2.4 tree.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2021 00:53:23 +0100

hwloc-contrib (2.4.1~rc2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/parallel_dep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Feb 2021 21:14:23 +0100

hwloc-contrib (2.4.1~rc1+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream bugfix release candidate.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981134)
    + Restrict libltdl-dev dependency to !glibc systems as hwloc prefers
      dlopen for glibc.
    + Annotate test dependency libxml2-utils <!nocheck>.

  [ Samuel Thibault ]
  * patches/parallel_dep: Fix parallel build in doc/.
  * rules: At clean time, remove the generated doc, to make sure we rebuild
    it.
  * control: Comment out w3m dependency until we need to regenerated README.

  [ Brice Goglin ]
  * control: Annotate test dependency libnuma-dev <!nocheck>.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 20:27:41 +0100

hwloc-contrib (2.4.0+dfsg-3) unstable; urgency=medium

  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:21:52 +0100

hwloc-contrib (2.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:51:15 +0100

hwloc-contrib (2.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:25:56 +0100

hwloc-contrib (2.4.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
    - patches/opencl-1001: Upstreamed.
  * hwloc{-nox,}.docs: Install dynamic_SVG_example.html.
  * not-installed: Note that we don't install .la files and .a versions of
    plugins.
  * hwloc{-nox,}.install: Install the bash completion file.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Nov 2020 18:34:54 +0100

hwloc-contrib (2.3.0+dfsg-2) unstable; urgency=medium

  * patches/opencl-1001: opencl: don't warn when clGetPlatformIds() returns
    -1001.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Oct 2020 16:58:46 +0200

hwloc-contrib (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Oct 2020 00:58:21 +0200

hwloc-contrib (2.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc.
    - patches/thr.h: Upstreamed.
    - patches/which_domain: Upstreamed.
    - tests-patches/use_system_hwloc: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:56:52 +0200

hwloc-contrib (2.2.0+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Build-dep on dh-exec.
  * hwloc-nox.install*, hwloc.install*: Use dh-exec to simplify files.
  * Move tests patches from patches to tests-patches.
  * control: Make libhwloc-contrib-plugins arch:any.
  * control: Drop Build-Depends-Indep since this doesn't build the arch:all
    doc package.
  * watch: Fix watching 2.2 series. Also watch 2.3, in preparation.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.11.3-1, 1.6-1.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:53:20 +0200

hwloc-contrib (2.2.0+dfsg-3) unstable; urgency=medium

  * patches/which_domain: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 01:06:41 +0200

hwloc-contrib (2.2.0+dfsg-2) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/thr.h: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: hwloc-contrib
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), libltdl-dev,
-  valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 x32],
-  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
-  libnuma-dev [linux-any],
+Build-Depends: debhelper-compat (= 12), dh-exec,
+# libltdl-dev [!gnu-any-any], when lintian stops complaining about it
+  valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
+  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses5-dev,
+  libnuma-dev [linux-any] <!nocheck>,
   libxnvctrl-dev,
   nvidia-cuda-dev,
   libpciaccess-dev, libudev-dev [linux-any], pkg-config,
   ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
-  autoconf (>= 2.63), w3m,
+  autoconf (>= 2.63),
+# w3m, if we ever need to update README
   dpkg-dev (>= 1.16)
-Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: contrib/libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
-Vcs-Git: https://github.com/open-mpi/hwloc-debian.git -b contrib
-Vcs-Browser: https://github.com/open-mpi/hwloc-debian/tree/contrib
+Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib
+Vcs-Browser: https://salsa.debian.org/debian/hwloc/-/tree/contrib
 
 Package: libhwloc-contrib-plugins
-Architecture: amd64
+Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
 Description: Hierarchical view of the machine - contrib plugins

## hwloc-contrib 2.6.0

=== debian/changelog ===
hwloc-contrib (2.6.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Sep 2021 23:28:49 +0200

hwloc-contrib (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Oct 2021 10:39:26 +0200

hwloc-contrib (2.6.0~rc1-2) experimental; urgency=medium

  * tests-patches/use_system_hwloc: Update autopkgtest tweaks.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 18:04:25 +0200

hwloc-contrib (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * control: Add libltdl-dev build-dep on non-glibc ports.
  * watch: Update to 2.6 series.
  * gbp.conf: Use filter to produce orig tarball.
  * libhwloc-doc.lintian-overrides: Update lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 16:55:18 +0200

hwloc-contrib (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * not-installed: Avoid hardcoding amd64 path.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Aug 2021 02:02:40 +0200

hwloc-contrib (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jun 2021 15:46:31 +0200

hwloc-contrib (2.5.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc release (Closes: Bug#994049).
    - tests-patches/use_system_hwloc: Refresh.
  * control: Set Rules-Requires-Root to no.
  * watch: Watch version 2.5 series.
  * not-installed: Generalized not-installed paths.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Jun 2021 11:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hwloc-contrib
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec,
-# libltdl-dev [!gnu-any-any], when lintian stops complaining about it
+Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev [!gnu-any-any],
   valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses5-dev,
   libnuma-dev [linux-any] <!nocheck>,
@@ -14,6 +13,7 @@
 # w3m, if we ever need to update README
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Section: contrib/libs
 Homepage: https://www.open-mpi.org/projects/hwloc/

## hwloc-contrib 2.7.0

=== contrib/windows-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(hwloc
    LANGUAGES C
    VERSION 2.7.0)

enable_testing()

option(HWLOC_ENABLE_TESTING "Enable testing" ON)
option(HWLOC_SKIP_LSTOPO "don't build/install lstopo")
option(HWLOC_SKIP_TOOLS "don't build/install other hwloc tools")
option(HWLOC_SKIP_INCLUDES "don't install headers")
option(HWLOC_WITH_LIBXML2 "use libxml2 instead of minimal XML")
option(HWLOC_WITH_OPENCL "enable OpenCL support")
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.17)
    option(HWLOC_WITH_CUDA "enable CUDA support")
endif()
option(HWLOC_BUILD_SHARED_LIBS "build shared libraries" ${BUILD_SHARED_LIBS})

set(TOPDIR ${PROJECT_SOURCE_DIR}/../..)

# "libhwloc.*" naming for MSVC and non-MSVC

configure_file(${TOPDIR}/contrib/windows/hwloc_config.h include/hwloc/autogen/config.h COPYONLY)

# Configure dynamically based on platform capabilities
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceCompiles)

check_include_file("dirent.h" HAVE_DIRENT_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("malloc.h" HAVE_MALLOC_H)
check_include_file("memory.h" HAVE_MEMORY_H)

check_symbol_exists(mkstemp "stdlib.h" HAVE_MKSTEMP)
check_symbol_exists(memalign "malloc.h" HAVE_MEMALIGN)

check_symbol_exists(strncasecmp "strings.h" HAVE_STRNCASECMP)
if(MSVC AND HAVE_STRNCASECMP)
    set(hwloc_strncasecmp 1)
    set(hwloc_strncasecmp_fcn strncasecmp)
else()
    set(hwloc_strncasecmp 0)
    set(hwloc_strncasecmp_fcn strncmp)
endif()


set(SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})
# disable x86 entirely by default
set(HWLOC_X86_32_ARCH)
set(HWLOC_X86_64_ARCH)
set(HWLOC_HAVE_X86_CPUID 1)
if (CMAKE_SYSTEM_PROCESSOR MATCHES "(^AMD64$|^x86_64$)")
    # "AMD64" on Windows, "x86_64" on Linux
    set(HWLOC_X86_64_ARCH 1)
elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "(^x86$|i.86)")
    # "x86" on Windows, "i.86" on Linux
    set(HWLOC_X86_32_ARCH 1)
else()
    set(HWLOC_HAVE_X86_CPUID 0)
endif()

check_c_source_compiles("int main(void) {int cpuinfo[4]; __cpuidex(cpuinfo,0,0); return 0;}"
HWLOC_HAVE_MSVC_CPUIDEX
)

# the following lines are disabled until we are sure they are safe with old build environmentx
# - snprintf() returned broken values in the past, hwloc detects it during configure (see 7a4ee26510c06b55fc04aaccbfa18d0ca3b87198)
#   set(HAVE_DECL_SNPRINTF 1)
# - strtoull() had some issues in the past (see 9559bd08b79ef63dce45df87fb7f875b73ecb512)
#   set(HAVE_DECL_STRTOULL 1)

# --- optional external libraries
set(HWLOC_HAVE_LIBXML2)
if(HWLOC_WITH_LIBXML2)
    find_package(LibXml2 REQUIRED)
    set(HWLOC_HAVE_LIBXML2 1)
endif()

set(HWLOC_HAVE_OPENCL)
if(HWLOC_WITH_OPENCL)
    find_package(OpenCL REQUIRED)
    set(HWLOC_HAVE_OPENCL 1)
endif()

set(HAVE_CUDA)
set(HAVE_CUDA_H)
set(HAVE_CUDA_RUNTIME_API_H)
set(HWLOC_HAVE_CUDART)
if(HWLOC_WITH_CUDA)
    find_package(CUDAToolkit REQUIRED)
    set(HAVE_CUDA 1)
    set(HAVE_CUDA_H 1)
    set(HAVE_CUDA_RUNTIME_API_H 1)
    set(HWLOC_HAVE_CUDART 1)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/private_config.h.in include/private/autogen/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/static-components.h.in include/static-components.h)

# Library

add_compile_definitions($<$<CONFIG:DEBUG>:HWLOC_DEBUG=1>)

# FIXME dll soname
add_library(hwloc
    ${TOPDIR}/hwloc/topology.c
    ${TOPDIR}/hwloc/traversal.c
    ${TOPDIR}/hwloc/distances.c
    ${TOPDIR}/hwloc/memattrs.c
    ${TOPDIR}/hwloc/cpukinds.c
    ${TOPDIR}/hwloc/components.c
    ${TOPDIR}/hwloc/bind.c
    ${TOPDIR}/hwloc/bitmap.c
    ${TOPDIR}/hwloc/pci-common.c
    ${TOPDIR}/hwloc/diff.c
    ${TOPDIR}/hwloc/shmem.c
    ${TOPDIR}/hwloc/misc.c
    ${TOPDIR}/hwloc/base64.c
    ${TOPDIR}/hwloc/topology-noos.c
    ${TOPDIR}/hwloc/topology-synthetic.c
    ${TOPDIR}/hwloc/topology-xml.c
    ${TOPDIR}/hwloc/topology-xml-nolibxml.c
    ${TOPDIR}/hwloc/topology-windows.c
    ${TOPDIR}/hwloc/topology-x86.c
    $<$<BOOL:${HWLOC_HAVE_LIBXML2}>:${TOPDIR}/hwloc/topology-xml-libxml.c>
    $<$<BOOL:${HWLOC_HAVE_OPENCL}>:${TOPDIR}/hwloc/topology-opencl.c>
    $<$<BOOL:${HAVE_CUDA}>:${TOPDIR}/hwloc/topology-cuda.c>
)

target_link_libraries(hwloc PRIVATE
    $<$<BOOL:${HWLOC_HAVE_LIBXML2}>:LibXml2::LibXml2>
    $<$<BOOL:${HWLOC_HAVE_OPENCL}>:OpenCL::OpenCL>
    "$<$<BOOL:${HAVE_CUDA}>:CUDA::cudart;CUDA::cuda_driver>"
)

if(HWLOC_BUILD_SHARED_LIBS)
    target_compile_definitions(hwloc PRIVATE $<$<BOOL:${MSVC}>:_USRDLL>)
endif()

target_include_directories(hwloc PUBLIC
    "$<BUILD_INTERFACE:${TOPDIR}/include;${CMAKE_CURRENT_BINARY_DIR}/include>"
    $<INSTALL_INTERFACE:include>
)

# Tools under utils/hwloc

if(NOT HWLOC_SKIP_TOOLS)

    set(TOOLS
        hwloc-bind
        hwloc-calc
        hwloc-diff
        hwloc-distrib
        hwloc-gather-cpuid
        hwloc-info
        hwloc-patch
    )

    foreach(tool IN ITEMS ${TOOLS})
        add_executable(${tool}
            ${TOPDIR}/utils/hwloc/${tool}.c)
        target_link_libraries(${tool} PRIVATE hwloc)
    endforeach(tool)

endif()

# lstopo

if(NOT HWLOC_SKIP_LSTOPO)

    set(LSTOPOS
        lstopo-no-graphics
        lstopo
        lstopo-win
    )

    set(LSTOPO_COMMON_SOURCES
        ${TOPDIR}/utils/lstopo/lstopo.c
        ${TOPDIR}/utils/lstopo/lstopo-draw.c
        ${TOPDIR}/utils/lstopo/lstopo-tikz.c
        ${TOPDIR}/utils/lstopo/lstopo-fig.c
        ${TOPDIR}/utils/lstopo/lstopo-svg.c
        ${TOPDIR}/utils/lstopo/lstopo-ascii.c
        ${TOPDIR}/utils/lstopo/lstopo-text.c
        ${TOPDIR}/utils/lstopo/lstopo-xml.c
        ${TOPDIR}/utils/hwloc/common-ps.c
    )

    add_executable(lstopo-no-graphics
        ${LSTOPO_COMMON_SOURCES}
    )
    target_link_libraries(lstopo-no-graphics PRIVATE hwloc)

    add_executable(lstopo
        ${LSTOPO_COMMON_SOURCES}
        ${TOPDIR}/utils/lstopo/lstopo-windows.c
    )
    target_compile_definitions(lstopo PRIVATE LSTOPO_HAVE_GRAPHICS)

    add_executable(lstopo-win WIN32
        ${LSTOPO_COMMON_SOURCES}
        ${TOPDIR}/utils/lstopo/lstopo-windows.c
    )
    target_compile_definitions(lstopo-win PRIVATE LSTOPO_HAVE_GRAPHICS)
    target_link_options(lstopo-win PRIVATE "$<$<BOOL:${MSVC}>:/subsystem:windows;/entry:mainCRTStartup>")

    foreach(tool IN ITEMS ${LSTOPOS})
        target_include_directories(${tool} PRIVATE ${TOPDIR}/utils/hwloc)
        target_link_libraries(${tool} PRIVATE hwloc)
    endforeach(tool)

endif()

# Misc

foreach(target IN ITEMS hwloc ${TOOLS} ${LSTOPOS})
    target_compile_definitions(${target} PRIVATE $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>)
endforeach(target)

# Install

install(TARGETS hwloc)

if(NOT HWLOC_SKIP_TOOLS)
    install(TARGETS ${TOOLS})
endif()

if(NOT HWLOC_SKIP_LSTOPO)
    install(TARGETS ${LSTOPOS})
endif()

if(NOT HWLOC_SKIP_INCLUDES)
    install(FILES ${TOPDIR}/include/hwloc.h TYPE INCLUDE)
    install(DIRECTORY ${TOPDIR}/include/hwloc TYPE INCLUDE FILES_MATCHING PATTERN "*.h")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/include/hwloc/autogen/config.h DESTINATION include/hwloc/autogen)
endif()

if(HWLOC_ENABLE_TESTING)
    add_subdirectory(${TOPDIR}/tests/hwloc ${CMAKE_CURRENT_BINARY_DIR}/tests/hwloc)
endif()

=== debian/changelog ===
hwloc-contrib (2.7.0-2) unstable; urgency=medium

  * libhwloc-doc.lintian-overrides: Play cat and mice again with lintian
    warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:34:26 +0100

hwloc-contrib (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Dec 2021 11:19:01 +0100

hwloc-contrib (2.7.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Watch 2.7 series.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Dec 2021 16:03:53 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: contrib/libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.7 \
https://download.open-mpi.org/release/hwloc/v2.7/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## hwloc-contrib 2.8.0

=== debian/changelog ===
hwloc-contrib (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * source/lintian-overrides: Update.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Jul 2022 12:56:04 +0200

hwloc-contrib (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/libhwloc-doc.lintian-overrides: Update overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jun 2022 15:10:21 +0200

hwloc-contrib (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Use valgrind-if-available instead of hardcoding a list.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Mar 2022 13:34:40 +0100

hwloc-contrib (2.7.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * libhwloc-doc.lintian-overrides: Revert change to lintian unstable output.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Mar 2022 10:47:14 +0100

## hwloc-contrib 2.9.0

=== debian/changelog ===
hwloc-contrib (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Dec 2022 16:15:43 +0100

hwloc-contrib (2.9.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Dec 2022 23:42:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev [!gnu-any-any],
-  valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
+  valgrind-if-available,
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses5-dev,
   libnuma-dev [linux-any] <!nocheck>,
   libxnvctrl-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 	dh $@
 
 include /usr/share/dpkg/architecture.mk
+
+override_dh_clean:
+	dh_clean
+	-rm -fr doc/doxygen-doc
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-static --enable-plugins --enable-doxygen

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.9 \
https://download.open-mpi.org/release/hwloc/v2.9/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## hwloc-contrib 2.9.2

=== debian/changelog ===
hwloc-contrib (2.9.2-1build1) mantic; urgency=medium

  * No-change rebuild against libcudart12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jul 2023 18:01:18 +0000

hwloc-contrib (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate build-dep from libncurses5-dev to libncurses-dev.
  * control: Generalize pattern to support hurd-amd64.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Jun 2023 11:05:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: hwloc-contrib
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev [!gnu-any-any],
   valgrind-if-available,
-  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses5-dev,
+  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses-dev,
   libnuma-dev [linux-any] <!nocheck>,
   libxnvctrl-dev,
   nvidia-cuda-dev,
   libpciaccess-dev, libudev-dev [linux-any], pkg-config,
-  ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
+  ocl-icd-opencl-dev [!hurd-any] | opencl-dev, opencl-headers,
   autoconf (>= 2.63),
 # w3m, if we ever need to update README
   dpkg-dev (>= 1.16)

## hwloc-contrib 2.10.0

=== contrib/windows-cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.15)
 project(hwloc
     LANGUAGES C
-    VERSION 2.7.0)
+    VERSION 2.10.0)
 
 enable_testing()
 
@@ -236,6 +236,14 @@
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/include/hwloc/autogen/config.h DESTINATION include/hwloc/autogen)
 endif()
 
+if(MSVC AND BUILD_SHARED_LIBS)
+  install(FILES $<TARGET_PDB_FILE:hwloc>
+    TYPE BIN
+    OPTIONAL)
+endif()
+
+# Testing
+
 if(HWLOC_ENABLE_TESTING)
-    add_subdirectory(${TOPDIR}/tests/hwloc ${CMAKE_CURRENT_BINARY_DIR}/tests/hwloc)
-endif()
+    add_subdirectory(tests ${CMAKE_CURRENT_BINARY_DIR}/tests)
+endif()

=== contrib/windows-cmake/tests/CMakeLists.txt ===
foreach(t api_version backends bind
  bitmap bitmap_compare_inclusion bitmap_first_last_weight bitmap_singlify bitmap_string
  distances get_area_memlocation get_cache_covering_cpuset get_closest_objs get_largest_objs_inside_cpuset
  get_last_cpu_location get_next_obj_covering_cpuset get_obj_below_array_by_type get_obj_covering_cpuset
  get_obj_inside_cpuset get_obj_with_same_locality get_shared_cache_covering_obj
  groups insert_misc iodevs is_thissystem list_components obj_infos object_userdata pci_backend synthetic
  topology_abi topology_allow topology_diff topology_dup topology_restrict type_depth type_sscanf
)
  add_executable(hwloc_${t} ${TOPDIR}/tests/hwloc/hwloc_${t}.c)
  target_link_libraries(hwloc_${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND hwloc_${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

foreach(t cpuset_nodeset memattrs cpukinds gl windows_processor_groups)
  add_executable(${t} ${TOPDIR}/tests/hwloc/${t}.c)
  target_link_libraries(${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND ${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

add_executable(xmlbuffer ${TOPDIR}/tests/hwloc/xmlbuffer.c)
target_link_libraries(xmlbuffer PRIVATE hwloc)
add_test(NAME xmlbuffer00 COMMAND xmlbuffer 0 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer01 COMMAND xmlbuffer 0 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer10 COMMAND xmlbuffer 1 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer11 COMMAND xmlbuffer 1 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
set_tests_properties(xmlbuffer00 xmlbuffer01 xmlbuffer10 xmlbuffer11 PROPERTIES TIMEOUT 10)

target_compile_definitions(hwloc_type_sscanf PRIVATE XMLTESTDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/xml/\")

set_tests_properties(get_obj_with_same_locality PROPERTIES ENVIRONMENT HWLOC_TOP_SRCDIR=${TOPDIR})

add_test(NAME lstopo-no-graphics:verbose COMMAND lstopo-no-graphics -v)
add_test(NAME lstopo-no-graphics:groups COMMAND lstopo-no-graphics --windows-processor-groups)
set_tests_properties(lstopo-no-graphics:verbose lstopo-no-graphics:groups PROPERTIES
DISABLED ${HWLOC_SKIP_LSTOPO}
LABELS exe
TIMEOUT 10
)

add_test(NAME hwloc-info:support COMMAND hwloc-info --support)
set_tests_properties(hwloc-info:support PROPERTIES
DISABLED ${HWLOC_SKIP_TOOLS}
LABELS exe
TIMEOUT 10
)


# --- optional tests

if(HWLOC_HAVE_OPENCL)
  add_executable(test_opencl opencl.c)
  target_link_libraries(test_opencl PRIVATE hwloc OpenCL::OpenCL)

  add_test(NAME OpenCL COMMAND test_opencl)
  set_tests_properties(OpenCL PROPERTIES TIMEOUT 10)
endif()

if(HAVE_CUDA)
  add_executable(test_cuda cuda.c)
  target_link_libraries(test_cuda PRIVATE hwloc CUDA::cudart CUDA::cuda_driver)

  add_test(NAME CUDA COMMAND test_cuda)
  set_tests_properties(CUDA PROPERTIES TIMEOUT 10)
endif()

=== debian/changelog ===
hwloc-contrib (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable gather topology test on hppa.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Dec 2023 13:32:39 +0100

hwloc-contrib (2.10.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/smbios-big-endian: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 14:11:22 +0100

hwloc-contrib (2.10.0~rc1-2) experimental; urgency=medium

  * patches/smbios-big-endian: Fix smbios on big-endian architectures.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 13:08:47 +0100

hwloc-contrib (2.10.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/tests-patches/use_system_hwloc: Refrsh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 21 Nov 2023 15:16:41 +0100

hwloc-contrib (2.9.3-2) unstable; urgency=medium

  * control, rules: Add pkg.hwloc.minimum and nodoc build profiles to ease
    bootstrapping ports with openmpi used by boost etc.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Nov 2023 20:10:42 +0100

hwloc-contrib (2.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Sep 2023 20:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: hwloc-contrib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev [!gnu-any-any],
-  valgrind-if-available,
-  libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses-dev,
-  libnuma-dev [linux-any] <!nocheck>,
-  libxnvctrl-dev,
-  nvidia-cuda-dev,
-  libpciaccess-dev, libudev-dev [linux-any], pkg-config,
-  ocl-icd-opencl-dev [!hurd-any] | opencl-dev, opencl-headers,
+Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-exec,
+  libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
+  valgrind-if-available <!pkg.hwloc.minimum>,
+  libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
+  libxml2-dev <!pkg.hwloc.minimum>, libxml2-utils <!nocheck !pkg.hwloc.minimum>,
+  libncurses-dev <!pkg.hwloc.minimum>,
+  libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
+  libxnvctrl-dev <!pkg.hwloc.minimum>,
+  nvidia-cuda-dev <!pkg.hwloc.minimum>,
+  libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
+  pkg-config,
+  ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
   autoconf (>= 2.63),
 # w3m, if we ever need to update README
   dpkg-dev (>= 1.16)
+Build-Depends-Indep: doxygen-latex <!nodoc>, transfig <!nodoc>
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
@@ -24,6 +28,7 @@
 Package: libhwloc-contrib-plugins
 Architecture: any
 Multi-Arch: same
+Build-Profiles: <!pkg.hwloc.minimum>
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
 Description: Hierarchical view of the machine - contrib plugins
  libhwloc provides a portable abstraction (across OS, versions,

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.10 \
https://download.open-mpi.org/release/hwloc/v2.10/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## hwloc-contrib 2.11.0

=== debian/changelog ===
hwloc-contrib (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Jun 2024 21:56:11 +0200

hwloc-contrib (2.11.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Track 2.11.
  * control: Replace pkg-config build-dep with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2024 14:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libxnvctrl-dev <!pkg.hwloc.minimum>,
   nvidia-cuda-dev <!pkg.hwloc.minimum>,
   libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
-  pkg-config,
+  pkgconf,
   ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
   autoconf (>= 2.63),
 # w3m, if we ever need to update README
